﻿@model NorthWind.WebMVC.Models.ProductViewModel
@{
    var htmlAttr1 = new { @readonly = true, @class = "form-control" };
}

<div class="modal-dialog modal-lg">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" data-dismiss="modal">&times;</span>
            Product Detail
        </div>
        <div class="modal-body">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="control-label col-md-3">Product ID</label>
                    <div class="col-md-3">@Html.TextBoxFor(model => model.Products.ProductID, htmlAttr1)</div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3">Product Name</label>
                    <div class="col-md-8">@Html.TextBoxFor(model => model.Products.ProductName, htmlAttr1)</div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3">Category</label>
                    <div class="col-md-8">
                        <div class="input-group">
                            @Html.HiddenFor(model => model.Products.CategoryID)
                            @Html.TextBoxFor(model => model.Category.CategoryName, htmlAttr1)
                            <div class="input-group-addon"></div>
                        </div> 
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3">Supplier</label>
                    <div class="col-md-8">
                        <div class="input-group">
                            @Html.HiddenFor(model => model.Products.SupplierID)
                            @Html.TextBoxFor(model => model.Supplier.CompanyName, htmlAttr1)
                            <div class="input-group-addon"></div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3">Unit Price</label>
                    <div class="col-md-3">@Html.TextBoxFor(model => model.Products.UnitPrice, htmlAttr1)</div>
                    <label class="control-label col-md-2">Quantity Per Unit</label>
                    <div class="col-md-3">@Html.TextBoxFor(model => model.Products.QuantityPerUnit, htmlAttr1)</div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3">Units In Stock</label>
                    <div class="col-md-3">@Html.TextBoxFor(model => model.Products.UnitsInStock, htmlAttr1)</div>
                    <label class="control-label col-md-2">Units On Order</label>
                    <div class="col-md-3">@Html.TextBoxFor(model => model.Products.UnitsOnOrder, htmlAttr1)</div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3">Reorder Level</label>
                    <div class="col-md-3">@Html.TextBoxFor(model => model.Products.ReorderLevel, htmlAttr1)</div>
                    <label class="control-label col-md-2">Discontinued</label>
                    <div class="col-md-3">
                        <div class="checkbox">
                            <label>@Html.CheckBoxFor(model => model.Products.Discontinued, new { disabled = true })</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary"><i class="glyphicon glyphicon-save"></i> Save</button>
            <button type="button" class="btn btn-default" data-dismiss="modal"><i class="glyphicon glyphicon-remove"></i> Close</button>
        </div>
    </div>
</div> 
